SDXFrameWork 0.09 SDXFrameWork

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Pages
Public Member Functions | List of all members
SDX::MovieImage Class Reference

Imageクラスの動画版[未実装]. More...

`#include <Movie.h>`

## Public Member Functions
| MovieImage (const char *ファイル名)
| ファイルの読込. More...
bool | Load (const char *ファイル名)
| ファイルの読込. More...
bool | Release ()
| ファイルの開放. More...
int | GetHandle ()
| ハンドルの取得. More...
bool | Play ()
| 動画の再生. More...
bool | Pause ()
| 動画の停止. More...
int | Seek (int 再生位置)
| 動画の再生位置を設定. More...
int | Tell ()
| 動画の再生位置を取得. More...
bool | Check ()
| 動画が再生中か取得. More...
bool | Draw (const Point &座標, bool 反転フラグ=false)
| 指定座標に描画. More...
bool | DrawExtend (const Rect &領域)
| 指定矩形内に描画. More...
bool | DrawRotate (const Point &座標, double 拡大率, double 角度, bool 反転フラグ=false)
| 角度、拡大率を指定して描画. More...
bool | DrawRotateAxis (const Point &座標, int X軸, int Y軸, double 拡大率, double 角度, bool 反転フラグ=false)
| 角度、拡大率を指定して描画. More...
bool | DrawModify (const Point &頂点A, const Point &頂点B, const Point &頂点C, const Point &頂点D) const
| 四角形に変形描画. More...
bool | DrawPart (const Point &描画座標, const Rect &元領域, bool 反転フラグ)
| 一部を指定して描画. More...
int | GetWidth ()
| 幅を取得. More...
int | GetHeight ()
| 高さを取得. More...

## Detailed Description

Imageクラスの動画版[未実装].

## Constructor & Destructor Documentation

SDX::MovieImage::MovieImage | ( | const char * | ファイル名 | ) |

ファイルの読込.

## Member Function Documentation

bool SDX::MovieImage::Load | ( | const char * | ファイル名 | ) |

ファイルの読込.

動画ファイルをメモリに読み込む。

bool SDX::MovieImage::Release | ( |  | ) |

ファイルの開放.

動画ファイルをメモリから開放する。

int SDX::MovieImage::GetHandle | ( |  | ) |

ハンドルの取得.

bool SDX::MovieImage::Play | ( |  | ) |

動画の再生.

bool SDX::MovieImage::Pause | ( |  | ) |

動画の停止.

int SDX::MovieImage::Seek | ( | int | 再生位置 | ) |

動画の再生位置を設定.

int SDX::MovieImage::Tell | ( |  | ) |

動画の再生位置を取得.

bool SDX::MovieImage::Check | ( |  | ) |

動画が再生中か取得.

bool SDX::MovieImage::Draw | ( | const Point & | 座標,
|  | bool | 反転フラグ = `false`
| ) |  |

指定座標に描画.

bool SDX::MovieImage::DrawExtend | ( | const Rect & | 領域 | ) |

指定矩形内に描画.

bool SDX::MovieImage::DrawRotate | ( | const Point & | 座標,
|  | double | 拡大率,
|  | double | 角度,
|  | bool | 反転フラグ = `false`
| ) |  |

角度、拡大率を指定して描画.

bool SDX::MovieImage::DrawRotateAxis | ( | const Point & | 座標,
|  | int | X軸,
|  | int | Y軸,
|  | double | 拡大率,
|  | double | 角度,
|  | bool | 反転フラグ = `false`
| ) |  |

角度、拡大率を指定して描画.

bool SDX::MovieImage::DrawModify | ( | const Point & | 頂点A,
|  | const Point & | 頂点B,
|  | const Point & | 頂点C,
|  | const Point & | 頂点D
| ) |  | const

四角形に変形描画.

bool SDX::MovieImage::DrawPart | ( | const Point & | 描画座標,
|  | const Rect & | 元領域,
|  | bool | 反転フラグ
| ) |  |

一部を指定して描画.

int SDX::MovieImage::GetWidth | ( |  | ) |

幅を取得.

int SDX::MovieImage::GetHeight | ( |  | ) |

高さを取得.